query listMessages @auth(level: USER) {
  messages {
    id
    conversationId
    senderId
    content
    isSystem
    createdAt
    user{
      fullName
    }
  }
}

query getMessageById($id: UUID!) @auth(level: USER) {
  message(id: $id) {
    id
    conversationId
    senderId
    content
    isSystem
    createdAt
    user{
      fullName
    }
  }
}

query getMessagesByConversationId($conversationId: UUID!) @auth(level: USER) {
  messages(where: { conversationId: { eq: $conversationId } }) {
    id
    conversationId
    senderId
    content
    isSystem
    createdAt
    user{
      fullName
    }
  }
}
